Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.core
Class ColumnsetStatistics

    java.lang.Object
      edu.udo.cs.miningmart.m4.core.M4Object
          edu.udo.cs.miningmart.m4.core.M4Data
              edu.udo.cs.miningmart.m4.core.ColumnsetStatistics

All Implemented Interfaces:
  ColumnsetStatistics, M4Object, M4Table, XmlInfo, java.io.Serializable, java.lang.Comparable

    public class ColumnsetStatistics

extends M4Data
implements XmlInfo, ColumnsetStatistics

Version:
  $Id: ColumnsetStatistics.java,v 1.8 2006/09/30 14:20:19 euler Exp $
Author:
  Martin Scholz
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTRIB_CSSTAT_ALL`
`static java.lang.String` | `ATTRIB_CSSTAT_CS`
`static java.lang.String` | `ATTRIB_CSSTAT_ID`
`static java.lang.String` | `ATTRIB_CSSTAT_NOM`
`static java.lang.String` | `ATTRIB_CSSTAT_ORD`
`static java.lang.String` | `ATTRIB_CSSTAT_TIME`
`static java.lang.String` | `M4_TABLE_NAME`
`static M4Info` | `m4Info` Cache for getM4Info()

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`myDocumentation`

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`myId, myName`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`M4_XML_VERSION, TAG_COLLECTION, TAG_DOUBLE, TAG_INTEGER, TAG_LONG, TAG_M4_ID, TAG_SHORT, TAG_STRING, TAG_XML_ID`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.M4Table
`NOT_NULL`

Constructor Summary
`ColumnsetStatistics(DB db)`

Method Summary
`java.lang.String` | `getIdAttributeName()`
`M4Info` | `getM4Info()`
`java.lang.String` | `getM4TableName()`
`java.lang.Long` | `getNrOfAllTuples()`
`java.lang.Integer` | `getNrOfNomAttribs()`
`java.lang.Integer` | `getNrOfOrdAttribs()`
`java.lang.Integer` | `getNrOfTimeAttribs()`
`protected java.util.Collection` | `getObjectsInNamespace(java.lang.Class typeOfObjects)` This method returns the objects of the specified type that form a namespace in the scope of this M4Data object.
`Columnset` | `getTheColumnset()`
`M4Info` | `getXmlInfo()`
`void` | `primitiveSetColumnset(Columnset columnset)`
`void` | `print()` Print the information about this column statistics.
`void` | `removeAllM4References()` Remove the Column reference of this statistic object.
`void` | `setNrOfAllTuples(java.lang.Long nrOfRows)`
`void` | `setNrOfNomAttribs(java.lang.Integer nrOfNominalAttributes)`
`void` | `setNrOfOrdAttribs(java.lang.Integer nrOfOrdinalAttributes)`
`void` | `setNrOfTimeAttribs(java.lang.Integer nrOfTimeAttributes)`
`void` | `setTheColumnset(Columnset columnset)`
`void` | `update()` This method updates the statistics on demand.
`void` | `updateCount()` Computes and updates the number of rows of this ColumnSet.

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`deleteLocal, deleteSoon, exportLocal, genericGetter, genericSetter, getDependentObjects, getDocumentation, getObjectsReferencingMe, getObjectsReferencingMe, getObjectTag, getUniqueName, getValidName, getValidName, getXmlIdTag, getXmlVersion, hasDeleteStatus, importLocal, isDirty, isWaitingForDelete, primitiveGetDocObject, primitiveSetDocObject, readFromDb, readFromDbLocal, removeDocObject, removeFromDb, removeSetFromDb, setDirty, setDocumentation, setId, setName, storeLocal, updateObjectsFromTable`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`compareTo, doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setNotNew`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`doPrint, doPrint, exportLocal, genericGetter, genericSetter, getDependentObjects, getObjectTag, getXmlIdTag, getXmlVersion, importLocal`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Field Detail

### M4_TABLE_NAME

    public static final java.lang.String M4_TABLE_NAME

See Also:
  Constant Field Values

### ATTRIB_CSSTAT_ID

    public static final java.lang.String ATTRIB_CSSTAT_ID

See Also:
  Constant Field Values

### ATTRIB_CSSTAT_CS

    public static final java.lang.String ATTRIB_CSSTAT_CS

See Also:
  Constant Field Values

### ATTRIB_CSSTAT_ALL

    public static final java.lang.String ATTRIB_CSSTAT_ALL

See Also:
  Constant Field Values

### ATTRIB_CSSTAT_ORD

    public static final java.lang.String ATTRIB_CSSTAT_ORD

See Also:
  Constant Field Values

### ATTRIB_CSSTAT_NOM

    public static final java.lang.String ATTRIB_CSSTAT_NOM

See Also:
  Constant Field Values

### ATTRIB_CSSTAT_TIME

    public static final java.lang.String ATTRIB_CSSTAT_TIME

See Also:
  Constant Field Values

### m4Info

    public static M4Info m4Info

  Cache for getM4Info()

Constructor Detail

### ColumnsetStatistics

    public ColumnsetStatistics(DB db)

Method Detail

### getM4TableName

    public java.lang.String getM4TableName()

  Specified by:
    `getM4TableName` in interface `M4Table`
  See Also:
    `M4Table.getM4TableName()`

### getIdAttributeName

    public java.lang.String getIdAttributeName()

  Specified by:
    `getIdAttributeName` in interface `M4Table`
  See Also:
    `M4Table.getIdAttributeName()`

### getM4Info

    public M4Info getM4Info()

  Specified by:
    `getM4Info` in interface `M4Table`
  See Also:
    `M4Table.getM4Info()`

### getXmlInfo

    public M4Info getXmlInfo()

  Specified by:
    `getXmlInfo` in interface `XmlInfo`
  Returns:
    a `M4Info` object with the information of all XML fields of `this` object.
  See Also:
    `XmlInfo.getXmlInfo()`

### getTheColumnset

    public Columnset getTheColumnset()

  Specified by:
    `getTheColumnset` in interface `ColumnsetStatistics`

### setTheColumnset

    public void setTheColumnset(Columnset columnset)
                         throws M4Exception

  Specified by:
    `setTheColumnset` in interface `ColumnsetStatistics`
  Throws:
    `M4Exception`

### primitiveSetColumnset

    public void primitiveSetColumnset(Columnset columnset)

### print

    public void print()

  Print the information about this column statistics.

  Specified by:
    `print` in interface `M4Object`
  Specified by:
    `print` in class `M4Object`

### removeAllM4References

    public void removeAllM4References()
                               throws M4Exception

  Remove the Column reference of this statistic object.

  Specified by:
    `removeAllM4References` in class `M4Data`
  Throws:
    `M4Exception`

### getObjectsInNamespace

    protected java.util.Collection getObjectsInNamespace(java.lang.Class typeOfObjects)
                                                  throws M4Exception

  Description copied from class: `M4Data`
  This method returns the objects of the specified type that form a namespace in the scope of this M4Data object. For example, a Concept's namespace for the type BaseAttribute is the Collection of all BaseAttributes for this Concept. Many M4Data objects never have a namespace, they return `null`. If a namespace could exist but doesn't, an empty Collection is returned.

  Specified by:
    `getObjectsInNamespace` in class `M4Data`
  Parameters:
    `typeOfObjects` - the type of objects that form the namespace
  Returns:
    a Collection of objects of type `typeOfObjects`, or `null`.
  Throws:
    `M4Exception`
  See Also:
    `M4Data.getObjectsInNamespace(Class)`

### getNrOfAllTuples

    public java.lang.Long getNrOfAllTuples()

  Specified by:
    `getNrOfAllTuples` in interface `ColumnsetStatistics`

### setNrOfAllTuples

    public void setNrOfAllTuples(java.lang.Long nrOfRows)

  Specified by:
    `setNrOfAllTuples` in interface `ColumnsetStatistics`

### getNrOfOrdAttribs

    public java.lang.Integer getNrOfOrdAttribs()

  Specified by:
    `getNrOfOrdAttribs` in interface `ColumnsetStatistics`

### setNrOfOrdAttribs

    public void setNrOfOrdAttribs(java.lang.Integer nrOfOrdinalAttributes)

  Specified by:
    `setNrOfOrdAttribs` in interface `ColumnsetStatistics`

### getNrOfNomAttribs

    public java.lang.Integer getNrOfNomAttribs()

  Specified by:
    `getNrOfNomAttribs` in interface `ColumnsetStatistics`

### setNrOfNomAttribs

    public void setNrOfNomAttribs(java.lang.Integer nrOfNominalAttributes)

  Specified by:
    `setNrOfNomAttribs` in interface `ColumnsetStatistics`

### getNrOfTimeAttribs

    public java.lang.Integer getNrOfTimeAttribs()

  Specified by:
    `getNrOfTimeAttribs` in interface `ColumnsetStatistics`

### setNrOfTimeAttribs

    public void setNrOfTimeAttribs(java.lang.Integer nrOfTimeAttributes)

  Specified by:
    `setNrOfTimeAttribs` in interface `ColumnsetStatistics`

### update

    public void update()
                throws M4Exception

  This method updates the statistics on demand. All values already available are not changed. It is expected that the garbage collection removes deprecated values. Changing DB Concepts are not yet supported.

  Throws:
    `M4Exception`

### updateCount

    public void updateCount()
                     throws M4Exception

  Computes and updates the number of rows of this ColumnSet.

  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005